List the cron jobs shown on a status page as heartbeats, ordered by display name.
GET
/status_page/{status_page_id}/cron_job
const url = 'https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cron_job';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cron_job \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” status_page_id
required
string format: uuid
Status page identifier
Query Parameters
Section titled “Query Parameters ” limit
integer format: int32
Page size. Defaults to 10, clamped to 1..=100
offset
integer format: int32
Row offset into the whole list
Responses
Section titled “ Responses ”One page of heartbeats in data, plus total: the number of heartbeats on the status page
Invalid pagination parameters
Missing or invalid authentication
Status page not found
Internal server error